package com.uvigo.mhp.ui;

import java.beans.*;

public class HSwitchGroupBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(HSwitchGroup.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
       try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("enabled", HSwitchGroup.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("forcedSelection", HSwitchGroup.class);
            pd1.setBound(true);
            pd2.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}
